MAN(1)                  XROUTER REFERENCE MANUAL         10/6/00

COMMAND
        MAN -- Display Online Sysop's Manual pages.

SYNOPSIS
        MAN [command | topic]

DESCRIPTION
        The MAN command is used to access the online sysop's manual, 
        which is a collection of pages, each covering a different 
        command or topic.

        The MAN pages are designed for sysop use, and usually give 
        more detail than the corresponding HELP pages.

        Entering MAN alone displays a list of available pages.

        To read a specific page enter MAN followed by the command or 
        topic for which you require help.

        The manual is divided into several sections.  Section 1 is the 
        command reference section.

EXAMPLE
        MAN ARP      Display manual page for ARP command.

CONVENTIONS
        The following conventions are used in MAN pages:

        < >         Command argument - These braces and the text 
                    enclosed within them represent any piece of text 
                    typed after the command.  The <> do not form part 
                    of the argument.

        [ ]         Optional argument - These braces enclose anything 
                    which is not always present. If used within a 
                    command name (e.g. N[ODES]), this indicates that 
                    the command may be abbreviated to a minimum form 
                    while remaining unique.

AVAILABILITY
        Although this command is currently available to all users, it 
        is not shown in the list of normal commands because it 
        generates a lot of output, some of which is not relevant to 
        non-sysops.  Its use by non-sysops may be withdrawn at a 
        later date if it proves to be a problem.

LIMITATIONS
        Although most commands may be abbreviated, it is not currently 
        possible for the MAN command to correctly identify the 
        required page from an abbreviated argument.  Thus "MAN NODES" 
        is acceptable, whereas "MAN NO" is not.  This problem will be 
        addressed in a later version, but a temporary work-around 
        might be to make several copies of each MAN file for all 
        permutations of the command.  Beware though, this may make the 
        list very confusing!

NOTE
        Due to its size it is difficult to ensure that everyone has a 
        completely up to date sysop document, but the MAN pages will 
        always contain the latest information.  They will be kept 
        updated by distributing new pages as required.

SEE ALSO
        H -- General help system.

MAN(1)                         END OF DOCUMENT
