WATCHDOG              XROUTER REFERENCE MANUAL           16/6/00


DESCRIPTION
        PZT router has a built-in software watchdog.  If enabled, this 
        will attempt to reboot the computer if the router "locks up".

        A lock-up may be caused for example by faulty external driver 
        or third-party server software, by certain hardware errors, or 
        by "soft" errors due to RF breakthough, supply spikes or 
        ionising radiation.

        Additionally, a DOS "shell" session of excessive duration is 
        treated as a lock-up because the operator may have abandoned 
        the console without terminating the shell, and the shell may 
        be running a process which cannot be safely terminated.  
        Therefore a complete reboot is the safest option.

        The software watchdog is enabled by entering a non-zero 
        setting in the "watchdog interval" parameter in INIT.SYS (see 
        elsewhere).  You should not use too low a setting, otherwise 
        the system may reboot if an external process takes too long to 
        run, or if you shell out to DOS using the F9 key.  120 sec (2 
        minutes) is a suggested figure.


LIMITATIONS
        The software watchdog cannot work miracles, because sometimes 
        the crash is too severe, and sometimes the computer will not 
        respond to a "warm" reboot.  The use of an additional 
        "hardware" watchdog is recommended.

        Therefore, in addition to the software watchdog, the system 
        will supply pulses via a spare parallel port, to drive an 
        external hardware watchdog.  This would for example consist of 
        an opto-isolator driving a monostable circuit such that if the 
        pulses ceased for more than 120 secs (must be longer than the 
        boot-up time!) the mains supply would be interrupted for long 
        enough to cause a "cold" reboot (say 5 secs).

        The hardware watchdog pulses are enabled by specifying a 
        suitable parallel port address for the WATCHADDR parameter.  
        The D0 pin will be toggled at 18 Hz, D1 at 9Hz, D2 at 4.5 Hz 
        etc.  You can drive an optoisolator from one of these pins.

NOTES
        A hardware watchdog should detect the presence or absence of 
        an AC signal from the parallel port.  A sustained high or low 
        value indicates a fatal lockup.  Your circuit should include a 
        delay long enough to allow the system to reboot, including all 
        programs (e.g. chkdsk) which are run at boot up.  This is to 
        prevent it from triggering again before the pulses are 
        established, causing an endless reboot cycle!

WATCHDOG                        END OF DOCUMENT
